Bug 248994 - sysutils/htop Update to 3.0.0
Summary: sysutils/htop Update to 3.0.0
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-29 20:04 UTC by Greg Fitzgerald
Modified: 2020-09-16 09:47 UTC (History)
4 users (show)

See Also:
gaod: maintainer-feedback+


Attachments
htop-dev.diff (1.37 KB, patch)
2020-08-29 20:04 UTC, Greg Fitzgerald
no flags Details | Diff
htop-3.0.0.diff (6.45 KB, patch)
2020-08-30 18:41 UTC, Hung-Yi Chen
gaod: maintainer-approval-
Details | Diff
htop-3.0.0.diff (6.75 KB, patch)
2020-08-30 18:48 UTC, Hung-Yi Chen
gaod: maintainer-approval+
Details | Diff
htop.diff (5.59 KB, patch)
2020-09-03 06:18 UTC, Tobias Kortkamp
no flags Details | Diff
htop.diff (5.59 KB, patch)
2020-09-03 06:21 UTC, Tobias Kortkamp
tobik: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Fitzgerald 2020-08-29 20:04:12 UTC
Created attachment 217622 [details]
htop-dev.diff

Htop has been forked and there has been several years of bug features and feature requests merged. The new website is https://htop.dev

This brings it up to date with the new maintainer's location. The fork is approved by the original maintainer from what I have seen.

More info here: https://old.reddit.com/r/linux/comments/iiowpn/htop_forked_to_htopdev_and_version_300_released/

I believe the old patch set is no longer needed from what I can tell, but someone with more knowledge please correct me if I'm wrong.


Changelog:

What's new in version 3.0.0

    New maintainers - after a prolonged period of inactivity from Hisham, the creator and original maintainer, a team of community maintainers have volunteered to take over a fork at https://htop.dev and https://github.com/htop-dev to keep the project going.

    Support ZFS ARC statistics (thanks to Ross Williams)

    Support more than 2 smaller CPU meter columns (thanks to Christoph Budziszewski)

    Support Linux proportional set size metrics (thanks to @linvinus, @ntninja and @himikof)

    Support Linux pressure stall information metrics (thanks to Ran Benita)

    New display option to show CPU frequency in CPU meters (thanks to Arnav Singh)

    Update Linux sysfs battery discovery for recent kernels (thanks to @smattie)

    Add hardware topology information in the affinity panel (thanks to Bert Wesarg)

    Add timestamp reporting to the strace screen (thanks to Mario Harjac)

    Add simple, optional vim key mapping mode (thanks to Daniel Flanagan)

    Added an option to disable the mouse (thanks to MartinJM)

    Add Solaris11 compatibility (thanks to Jan Senolt)

    Without an argument -u uses $USER value automatically (thanks to @solanav)

    Support less(1) search navigation shortcuts (thanks to @syrrim)

    Update the FreeBSD maximum PID to match FreeBSD change (thanks to @multiplexd)

    Report values larger than 100 terabytes (thanks to @adrien1018)

    Widen ST_UID (UID) column to allow for UIDs > 9999 (thanks to DLange)

    BUGFIX: fix makefiles for building with clang (thanks to Jorge Pereira)

    BUGFIX: fix <sys/sysmacros.h> major() usage (thanks to @wataash and Kang-Che Sung)

    BUGFIX: fix the STARTTIME column on FreeBSD (thanks to Rob Crowston)

    BUGFIX: truncate overwide jail names on FreeBSD (thanks to Rob Crowston)

    BUGFIX: fix reported memory values on FreeBSD (thanks to Tobias Kortkamp)

    BUGFIX: fix reported CPU meter values on OpenBSD (thanks to @motet-a)

    BUGFIX: correctly identify other types of zombie process (thanks to @joder)

    BUGFIX: improve follow-process handling in some situations (thanks to @wangqr)

    BUGFIX: fix custom meters reverting to unexpected setting (thanks to @wangqr)

    BUGFIX: close pipe after running lsof(1) (thanks to Jesin)

    BUGFIX: meters honour setting of counting CPUs from 0/1 (thanks to @rnsanchez)
Comment 1 daniel.engberg.lists 2020-08-30 16:29:37 UTC
Hi,

Are patches still relevant?
https://svnweb.freebsd.org/ports/head/sysutils/htop/files/
Comment 2 Greg Fitzgerald 2020-08-30 18:06:12 UTC
I believe they all have been merged upstream.
Comment 3 Hung-Yi Chen 2020-08-30 18:41:23 UTC
Created attachment 217654 [details]
htop-3.0.0.diff

With a minor modification(remove old patch files).
Comment 4 Hung-Yi Chen 2020-08-30 18:47:05 UTC
Comment on attachment 217654 [details]
htop-3.0.0.diff

Forget to update pkg-descr.
Comment 5 Hung-Yi Chen 2020-08-30 18:48:22 UTC
Created attachment 217655 [details]
htop-3.0.0.diff
Comment 6 Tobias Kortkamp freebsd_committer 2020-09-03 06:17:41 UTC
Comment on attachment 217655 [details]
htop-3.0.0.diff

This regresses on ports r545744 and fails to link on FreeBSD 13.0:

ld: error: duplicate symbol: jail_errmsg
>>> defined at Platform.c
>>>            freebsd/Platform.o:(jail_errmsg)
>>> defined at FreeBSDProcessList.c
>>>            freebsd/FreeBSDProcessList.o:(.bss+0x90)

I'll submit an updated patch.
Comment 7 Tobias Kortkamp freebsd_committer 2020-09-03 06:18:27 UTC
Created attachment 217709 [details]
htop.diff
Comment 8 Li-Wen Hsu freebsd_committer 2020-09-03 06:19:31 UTC
btw, 3.0.1 is out.
Comment 9 Tobias Kortkamp freebsd_committer 2020-09-03 06:21:53 UTC
Created attachment 217710 [details]
htop.diff

and update to 3.0.1
Comment 10 Li-Wen Hsu freebsd_committer 2020-09-03 06:23:26 UTC
tobik, please commit this if you can. Thanks.
Comment 11 Mark Linimon freebsd_committer freebsd_triage 2020-09-13 17:34:11 UTC
^Triage: reset 'In Progress' flag.
Comment 12 Li-Wen Hsu freebsd_committer 2020-09-16 09:47:18 UTC
Suppressed by bug249355